
Redmine - Defect #7639

Some date fields do not have requested format.

2011-02-17 05:12 - Tony Maher

Status: Closed Start date: 2011-02-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 1.1.0

Description

As project administrator - set the date format to 17/02/2011 i.e. 17 February 2011.

In Issues tabs (as normal user) the "Updated" field shows dates with format 02/17/2011.

As admin user checking the Users - the creation date also shows dates as 04/28/2010

In Issues tab if displaying the start date and due date then they are in the correct format.

Related issues:

Is duplicate of Redmine - Defect #5378: Modified column in Issues view does n... Closed 2010-04-23

Associated revisions

Revision 4894 - 2011-02-20 15:56 - Jean-Philippe Lang

Fixed: date part of the time default format doesn't respect the date format (#7639).

History

#1 - 2011-02-20 15:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r4894.

#2 - 2011-02-20 23:25 - Tony Maher

Thanks for the quick resolution.

#3 - 2011-04-04 19:29 - Etienne Massip

- Target version set to 1.2.0

#4 - 2011-04-28 09:50 - Max Khon

The fix also fixes more serious problem: format_date(time) was called before this patch instead of format_date(local). This leads to incorrect

displaying of dates (e.g. when timezone is specified or time is in UTC).

E.g. if the timestamp is 14 Apr 03:40am GMT+7 and user timezone is set to UTC, 14 Apr 20:40pm instead of 13 Apr 20:40pm is displayed.

Should there be a backport to 1.1 branch?
